	subroutine check_div		!check divergence of filespecs

	implicit integer (a-z)

	include 'dccom.inc'

	i1 = rbracket(s1)-1
	i2 = rbracket(s2)-1

	i3 = min(i1,i2)
	do i = 1,i3
	    if(fspec(s1)(i1:i1).eq.fspec(s2)(i2:i2)) then
	        i2 = i2 - 1
	        i1 = i1 - 1
	    else
	        goto 100
	    endif
	enddo
100	continue

	i1 = i1 + 1
	do while (fspec(s1)(i1:i1).ne.'.'.and.i1.ne.rbracket(s1))
	    i1 = i1 + 1
	enddo

	i2 = i2 + 1
	do while (fspec(s2)(i2:i2).ne.'.'.and.i2.ne.rbracket(s2))
	    i2 = i2 + 1
	enddo

	cstart(s1) = i1 + 1
	cstart(s2) = i2 + 1
	return
	end
